# FoundationClasses
TKernel
NCollection

# FoundationClasses
TKernel
NCollection

# NCollection_TListIterator< TheItemType > Class Template Reference

`#include <NCollection_TListIterator.hxx>`

Inheritance diagram for NCollection_TListIterator< TheItemType >:

[legend]

## Public Member Functions

| NCollection_TListIterator (void)
| Empty constructor - for later Init.
| NCollection_TListIterator (const NCollection_BaseList &theList)
| Constructor with initialisation.
NCollection_TListIterator & | operator= (const NCollection_TListIterator &theIt)
| Assignment.
virtual Standard_Boolean | More (void) const
| Check end.
virtual void | Next (void)
| Make step.
virtual const TheItemType & | Value (void) const
| Constant Value access.
virtual TheItemType & | ChangeValue (void) const
| Variable Value access.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Operator new for allocating iterators.

## Detailed Description

### template<class TheItemType>
class NCollection_TListIterator< TheItemType >

Purpose: This Iterator class iterates on BaseList of TListNode and is instantiated in List/Set/Queue/Stack Remark: TListIterator is internal class

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_TListIterator< TheItemType >::NCollection_TListIterator | ( | void |  | ) | `[inline]`

template<class TheItemType>
NCollection_TListIterator< TheItemType >::NCollection_TListIterator | ( | const NCollection_BaseList & | theList | ) | `[inline]`

## Member Function Documentation

template<class TheItemType>
virtual TheItemType& NCollection_TListIterator< TheItemType >::ChangeValue | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
virtual Standard_Boolean NCollection_TListIterator< TheItemType >::More | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
virtual void NCollection_TListIterator< TheItemType >::Next | ( | void |  | ) | `[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheItemType>
void* NCollection_TListIterator< TheItemType >::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

template<class TheItemType>
NCollection_TListIterator& NCollection_TListIterator< TheItemType >::operator= | ( | const NCollection_TListIterator< TheItemType > & | theIt | ) | `[inline]`

template<class TheItemType>
virtual const TheItemType& NCollection_TListIterator< TheItemType >::Value | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

The documentation for this class was generated from the following file:

- NCollection_TListIterator.hxx